
 
 Mod Name       : WW4REM.MOD                       Date : April, 1994
 Difficulty     : ۱                     Author : John Dailey aka
 WWIV Version   : 4.23+                                   Max Sterling
 Files Affected : BBSOVL1.C                               166@4701 (WWIVNet)
                                                          166@2522 (WW4Net)
 Description:
 Incorporates   Datagen  Software  Designs'   WWIV  Remove  v2.0+  into  the
 extraction  routine  of  WWIV v4.23+  to remove  heart color  coding,  WWIV
 Network  routing  information,   taglines,  and  end-of-line  markers  from
 extracted messages and/or posts.  Please note that unless WWIV Remove is in
 your main  BBS directory,  you will either need to  have it listed  in your
 path,  or specificy it  on the command  line when calling the  program from
 this modification.
 
 Legend
 = = Existing Line Of Code
 + = Added Line Of Code
 - = Deleted Line Of Code
 % = Modified Line Of Code

 
 Step 1:

 Back up your source code! In this case, you need only to back up BBSOVL1.C.

 
 Step 2:

 Open up BBSOVL1.C and make the following changes in void extract_out(char
 *b, long len, char *title):

 %    char s1[81],s2[81],s3[81],s4[101],ch=26,ch1,ch2;

 (Add s4 to the character variable listing)

 And further down in the void, add the three lines shown below:

 =    sh_write(i,title,strlen(title));
 =    sh_write(i,"\r\n",2);
 =    sh_write(i,(void *)b,len);
 =    sh_write(i,&ch,1);
 =    sh_close(i);
 +    sprintf(s4,"WW4REM %s %s",s3, s3);

      //* Please note that you should make this command line the way that
          you want to call WWIV Remove.  In other words, if you only want
          to remove heart codes from extracted text, then put the command
          line here to do so:     sprintf(s4, "WW4REM %s %s /H", s3, s3);
          Please refer  to the  WWIV Remove v2.0  documentation for  more
          information. *//

 +    do_remote(s4,0);
 +    topscreen();
 =    outstr(get_string(677));
 =    pl(s3);

 Now, in void extract_mod(char *b, long len) add the following declaration:

 %    char s1[81],s2[81],s4[81],s5[81],s6[101],ch=26,ch1,*ptr,*ss1;

 (Add s6 to the character variable listing)

 And yet further down in the void, add the three lines shown below:

 =    i=sh_open(s4,O_RDWR | O_BINARY | O_CREAT, S_IREAD | S_IWRITE);
 =    sh_lseek(i,0L,SEEK_END);
 =    sh_write(i,(void *)b,len);
 =    sh_write(i,&ch,1);
 =    sh_close(i);
 =    npr("%s%s\r\n",get_string(1202),s4);
 +    sprintf(s6,"WW4REM.EXE %s %s",s4,s4);
 +    do_remote(s6,0);
 +    topscreen();
 =    compress_file(s2,s1);
 =    nl();nl();
 =    prt(2,get_string(1203));

 
 Step 3:

 Save your changes in BBSOVL1.C and recompile.

 
 End of WWIV v4.23+ modification
